<template>
  <div>
    <el-form ref="form" class="proActivityInfo" label-width="120px">
      <el-form-item label="活动名称：">{{form.promotionName}}</el-form-item>
      <el-form-item label="活动时间：">{{form.promotionStartTime}} ~ {{form.promotionEndTime}}
      </el-form-item>
      <el-form-item label="活动banner：">
        <el-row v-if="Array.isArray(form.promoPic)">
          <el-col class="banner" v-for="(item,index) in form.promoPic" :key="index">
            <el-image style="width: 100px;height:100px;" :src="item" fit="contain"
                      :preview-src-list="form.promoPic">
            </el-image>
          </el-col>
        </el-row>
        <el-row v-else>
          <el-col class="banner" v-for="(item,index) in form.promoPicList" :key="index">
            <a :href='item.url' target='_blank'><img class="picture" :src="item.url" /></a>
          </el-col>
        </el-row>
      </el-form-item>
      <el-form-item v-show="form.promotionRuleType" label="活动规则：">
        <span v-if="form.promotionRuleType === '1'">{{form.promotionRuledesc}}</span>
        <el-row v-else>
          <el-col class="banner" v-for="(item,index) in form.ruleFileUrl" :key="index">
            <el-image style="width: 100px;height:100px;" :src="item" fit="contain"
                      :preview-src-list="form.promoPic">
            </el-image>
          </el-col>
        </el-row>
      </el-form-item>
      <el-form-item label="活动商品：">{{form.isallcategory === '0' ? '全部' : '指定'}}商品可用</el-form-item>
      <el-form-item v-show="form.isallcategory === '1'">
        <el-table :data="form.promotionProds" border>
          <el-table-column label="商品主编码" prop="spuNum"></el-table-column>
          <el-table-column label="商品名称" prop="prodName" show-overflow-tooltip></el-table-column>
          <el-table-column label="剩余库存" prop="spuStorage" align="center" width="120px"
                           show-overflow-tooltip v-if="isShowSpuStorage">
          </el-table-column>
          <el-table-column label="商品规格*数量">
            <template slot-scope="scope">
              {{scope.row.prodSpecs ? scope.row.prodSpecs : '-'}}
            </template>
          </el-table-column>
        </el-table>
      </el-form-item>
      <el-form-item :label="form.avtivityTypeText+'方式：'">
        {{form.preferentialWay === '1' ? '阶梯':'循环'}}{{form.avtivityTypeText}}</el-form-item>
      <activity-rangeInfo v-if="form.preferentialWay" ref="activityRange" :form="form"
                          :isShowSpuStorage="isShowSpuStorage">
      </activity-rangeInfo>
    </el-form>
  </div>
</template>
<script>
import activityRangeInfo from '@/views/proActivity/components/activityRangeInfo.vue'
export default {
  props: ['form', 'isShowSpuStorage'],
  components: { activityRangeInfo }
}
</script>
<style lang="scss">
$w: 100px;
.proActivityInfo {
  .banner {
    width: $w;
    margin-right: 10px;
    .picture {
      width: 100%;
      height: $w;
    }
  }
}
</style>
